%{?nodejs_find_provides_and_requires}

Name:           nodejs-mock-fs
Version:        3.11.0
Release:        1%{?dist}
Summary:        A configurable mock file system

License:        MIT
URL:            https://www.npmjs.com/package/mock-fs
Source0:        https://registry.npmjs.org/mock-fs/-/mock-fs-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

Provides:       bundled(nodejs)

BuildRequires:  nodejs-packaging

BuildRequires:  npm(mocha)
BuildRequires:  npm(chai)
BuildRequires:  npm(rewire)
BuildRequires:  npm(semver)


%description
The mock-fs module allows Node's built-in fs module to be backed
temporarily by an in-memory, mock file system. This lets you run
tests against a set of mock files and directories instead of lugging
around a bunch of test fixtures.


%prep
%autosetup -n package
%nodejs_fixdep semver "^5.1.0"
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/mock-fs
cp -pr package.json lib node %{buildroot}%{nodejs_sitelib}/mock-fs
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha --recursive test


%files
%doc readme.md changelog.md
%license license.md
%{nodejs_sitelib}/mock-fs


%changelog
* Sun Jul 10 2016 Tom Hughes <tom@compton.nu> - 3.11.0-1
- Update to 3.11.0 upstream release

* Sat Jul  9 2016 Tom Hughes <tom@compton.nu> - 3.10.0-2
- Update npm(semver) dependency

* Sat Jul  9 2016 Tom Hughes <tom@compton.nu> - 3.10.0-1
- Update to 3.10.0 upstream release

* Mon Jul  4 2016 Tom Hughes <tom@compton.nu> - 3.9.0-2
- Update npm(rewire) dependency

* Sat Apr 30 2016 Tom Hughes <tom@compton.nu> - 3.9.0-1
- Update to 3.9.0 upstream release

* Tue Mar  8 2016 Tom Hughes <tom@compton.nu> - 3.8.0-1
- Update to 3.8.0 upstream release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Feb  1 2016 Tom Hughes <tom@compton.nu> - 3.7.0-1
- Update to 3.7.0 upstream release

* Tue Jan 19 2016 Tom Hughes <tom@compton.nu> - 3.6.0-2
- Remove npm(semver) fixdep

* Fri Jan  1 2016 Tom Hughes <tom@compton.nu> - 3.6.0-1
- Initial build of 3.6.0
